#!/usr/bin/perl
################################################################################
# WWWAdverts                                   Version 1.5                     #
# Copyright 1999 Frederic TYNDIUK (FTLS)       All Rights Reserved.            #
# E-Mail: tyndiuk@ftls.org                     Script License: GPL             #
# Created  05/30/98                            Last Modified 05/30/00          #
# Scripts Archive at:                          http://www.ftls.org/cgi/        #
################################################################################
# Function : Click conter for WWWAdverts                                       #
# Count Click and redirect visitor to the URL Adverts                          #
# Use it : Add on Banner Code WWWAdvertsClicks.cgi?Value_Adverts?URL           #
# URL = http://www.hostname.dom/dir/                                           #
################################################################################
########################## license & copyright header ##########################
#                                                                              #
#                     Copyright (c) 1999 by TYNDIUK Frederic                   #
#                                                                              #
#       This program is free software; you can redistribute it and/or          #
#       modify it under the terms of the GNU General Public License as         #
#       published by the Free Software Foundation; either version 2 of         #
#       the License, or (at your option) any later version.                    #
#                                                                              #
#       This program is distributed in the hope that it will be useful,        #
#       but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#       GNU General Public License for more details.                           #
#                                                                              #
#       You should have received a copy of the GNU General Public License      #
#       along with this program in the file 'COPYING'; if not, write to        #
#       the Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
#       Boston, MA 02111-1307, USA, or contact the author:                     #
#                                                                              #
#                                   TYNDIUK Frederic <tyndiuk@ftls.org>        #
#                                            <http://www.ftls.org/>            #
#                                                                              #
######################## end license & copyright header ########################
################################################################################
#    DO NOT EDIT ANYTHING BELOW THIS LINE UNLESS YOU KNOW WHAT YOU'RE DOING    #
################################################################################

require "WWWAdvertsLib.pl";

my ($Query_File, $No, $url, $NbMaxAdverts);
$NbMaxAdverts = 1;

	$Query_File = $ENV{QUERY_STRING};
	$Query_File =~ s/%([0-9A-F][0-9A-F])/pack("C",oct("0x$1"))/ge;
	$Query_File =~ tr/+/ /;
	($No, $url) =  split(/\&/,$Query_File);

	open(FILE,"$AdvertDataFile") || &Error("Cannot Open Ads File: $AdvertDataFile, Error: $!\n");
	while(<FILE>) {
		$NbMaxAdverts++;
	}
	close(FILE);

	if ($No > $NbMaxAdverts) {
		&Error("You try to hack this script, you are loged...");
	}

	if ($No > 0) {
		&IncLog($AdvertClLogFile, $No);
	}
	if ($url =~ /^(ht|f)tp:\/\//) {
		print "Location: $url\n\n";
	} else {
		&Error("Your URL sould be begin by 'http://' or 'ftp://'\n");
	}

sub Error {
	my($ErrorText) = @_;
	print "Content-type: text/html\n\n";	
	print "Error: ".$ErrorText;
	exit;
}
