<?php
/******************************************************************************\
* WWWAdvert PHP displayer                      Version 1.5                     *
* Copyright 2000 Frederic TYNDIUK (FTLS)       All Rights Reserved.            *
* E-Mail: tyndiuk@ftls.org                     Script License: GPL             *
* Created  05/30/2000                          Last Modified 05/30/2000        *
* Scripts Archive at:                          http://www.ftls.org/php/        *
********************************************************************************
* Function : Display adverts  / Use :                                          *
* <?php require("/home/httpd/html/essais-dom/html/WWWAdverts-display.php3");   * 
* display_adverts();                                                           *
* // display_adverts("lang", "keaywords");  (Args are optianals) ?>            *
********************************************************************************
************************** license & copyright header **************************
*                                                                              *
*                     Copyright (c) 2000 by TYNDIUK Frederic                   *
*                                                                              *
*       This program is free software; you can redistribute it and/or          *
*       modify it under the terms of the GNU General Public License as         *
*       published by the Free Software Foundation; either version 2 of         *
*       the License, or (at your option) any later version.                    *
*                                                                              *
*       This program is distributed in the hope that it will be useful,        *
*       but WITHOUT ANY WARRANTY; without even the implied warranty of         *
*       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
*       GNU General Public License for more details.                           *
*                                                                              *
*       You should have received a copy of the GNU General Public License      *
*       along with this program in the file 'COPYING'; if not, write to        *
*       the Free Software Foundation, Inc., 59 Temple Place - Suite 330,       *
*       Boston, MA 02111-1307, USA, or contact the author:                     *
*                                                                              *
*                                   TYNDIUK Frederic <tyndiuk@ftls.org>        *
*                                            <http://www.ftls.org/>            *
*                                                                              *
************************ end license & copyright header ************************
********************************************************************************
* Necessary Variables:                                                         *
* The following variables should be set to define the locations and URLs of    *
* various files, as explained in the documentation.                           */

$data_dir = "/Absolute/path/to/data_dir/
$ADVERTS_FILE = $data_dir.Adverts.txt";
$ADVERT_EX_LOG_FILE = $data_dir."AdvEx_Log.txt";
$ADVERT_CL_LOG_FILE = $data_dir."AdvCl_Log.txt";

/******************************************************************************\
*    DO NOT EDIT ANYTHING BELOW THIS LINE UNLESS YOU KNOW WHAT YOU'RE DOING    *
\******************************************************************************/

// function
function test_lang($lg, $query_lang, $host, $lang, $script_name) {
	return (preg_match("/$lg/i", $query_lang) || preg_match("/$lg/i", $host) || preg_match("/$lg/i", $lang) || preg_match("/$lg/i", $script_name));
}


function good_os($os, $os_visitor) {
	if ((! $os) || ($os == $os_visitor)) { return 1; }
	return 0;
}

function good_keyword($keyword, $query_keyword) {
	$dom = preg_replace("/[^\w\d]+/", " ", $REMOTE_HOST);
	$tab_key = preg_split("/ +/", $keyword);
	for($i = 0; $i <= sizeof($tab_key); $i++) {
		$key = $tab_key[$i];
		if (preg_match("/^\d\d*$/i", $key) && ($key == $query_keyword)) {
			return 1;
		}
		if (preg_match("/^\d\d*$/i", $key) && preg_match("/$query_keyword/i", $key)) {
			return 1;
		}
	}
	return 0;
}

function jday($m, $d, $y) {
	$brit_jd = 2361222;
	if ($m > 2) { $m -= 3; } else { $m += 9; --$y; }
	$c = floor($y/100);
	$ya = $y - (100 * $c);
	return  floor((146097 * $c) / 4) + floor((1461 * $ya) / 4) + floor((153 * $m + 2) / 5) + $d + 1721119;
}

function inc_log($log_file_name, $no) {
	$jtoday = jday(date("m"), date("d"), date("Y")); 
	$file_log = file($log_file_name);

	preg_match("/\t(\d+)\n/i", $file_log[0], $r);
	if ($r[0] != $jtoday) {
		$file_log[0] = "WWWAdverts\t$jtoday\n";
		for($i = 1; $i <= sizeof($file_log) - 2; $i++) {
			if (preg_match("/\s/i", $file_log[$i])) {
				list($cnt_total, $cnt_day) = preg_split("/\t/", $file_log[$i]);
				if ($cnt_total == '') { $cnt_total = 0; }
				$file_log[$i] = "$cnt_total\t0\n";
			}
		}
	}
	$line = $file_log[$no];
	if ($line == "\n") { $line = "1\t1"; }
	$line = chop($line);
	list($cnt_total, $cnt_day) = preg_split("/\t/", $line);
	$cnt_total++;
	$cnt_day++;
	$file_log[$no] = "$cnt_total\t$cnt_day\n";

	$file_data = join('', $file_log);
	$fp = fopen($log_file_name, "w");
	flock($fp, 1);                                                    
    fputs($fp, $file_data);
    flock($fp, 3);
	fclose($fp);
}
// end function

function display_adverts($query_lang = '', $query_keyword = '')  {
	global $ADVERTS_FILE, $ADVERT_EX_LOG_FILE, $ADVERT_CL_LOG_FILE;

$time_today = time();

// if seeker exit...
if (preg_match("/scooter|robot|ultraseek|spider|wget/i", $HTTP_USER_AGENT)) { exit; }

if (preg_match("/Win/i", $HTTP_USER_AGENT)) { $OSVisitor = "1"; }
elseif (preg_match("/Macintosh/i", $HTTP_USER_AGENT)) { $OSVisitor = "2"; }
elseif (preg_match("/Linux/i", $HTTP_USER_AGENT)) { $OSVisitor = "3"; }
elseif (preg_match("/X11/i", $HTTP_USER_AGENT)) { $OSVisitor = "4"; }
elseif (preg_match("/scooter|robot|ultraseek|spider|wget/i", $HTTP_USER_AGENT)) { $OSVisitor = "5"; }
else { $OSVisitor = "6"; }

$dom = preg_replace("/.*\./", "", $REMOTE_HOST);
$lang = $HTTP_ACCEPT_LANGUAGE;

$lang_visitor = "En";
if (test_lang("Fr", $query_lang, $dom, $HTTP_ACCEPT_LANGUAGE, $SCRIPT_NAME)) {
	$lang_visitor = "Fr";
} elseif (test_lang("De", $query_lang, $dom, $HTTP_ACCEPT_LANGUAGE, $SCRIPT_NAME)) {
	$lang_visitor = "De";
} elseif (test_lang("Es", $query_lang, $dom, $HTTP_ACCEPT_LANGUAGE, $SCRIPT_NAME)) {
	$lang_visitor = "Es";
}

$file_arry = file($ADVERTS_FILE);
$file_ex_log = file($ADVERT_EX_LOG_FILE);
$file_cl_log = file($ADVERT_CL_LOG_FILE);

$i = 0;
while ($file_arry[$i] != '') {
	list($name, $comment, $guest_login, $guest_pass, $states, $ratio, $date_begin, 
	$date_end, $max_hits, $max_clicks, $lang, $lg_and_kw, $keywords, $os, 
	$advert_txt) = preg_split("/ *\t *|\n/", $file_arry[$i]);
	list($nb_expose) = preg_split("/ *\t *|\n/", $file_ex_log[$i+ 1]);
	list($nb_clicks) = preg_split("/ *\t *|\n/", $file_cl_log[$i+ 1]);
	$date =  preg_split("/\//", $date_end);
	$date_end = mktime(0,0,0,$date[1],$date[1],$date[2]);
	if ($states && ($nb_expose <= $max_hits) && ($nb_clicks <=  $max_clicks)
		&& ($time_today <=  $date_end) && good_os($os, $os_visitor)
		&& (preg_match("/$lang_visitor/i", $lang) || preg_match("/All/i", $lang)))
		{
			if (! $lg_and_kw) { $good_advert .= "$i\n"; } //x $ratio;
			if (good_keyword($keyword, $query_keyword)) {
				$good_advert_key .= "$i\n"; //x $ratio
			}
	}
	$i++;
}

$good_advert     = preg_split("/\n+/", $good_advert);
$good_advert_key = preg_split("/\n+/", $good_advert_key);

$cnt  = sizeof($good_advert);
$cntK = sizeof($good_advert_key);

if ($cntK > 1) { $good_advert = $good_advert_key; }

srand((double)microtime()*1000000);
$no = $good_advert[rand(0, sizeof($good_advert) -2)];

list($name, $comment, $guest_login, $guest_pass, $states, $ratio, $date_begin, 
	$date_end, $max_hits, $max_clicks, $lang, $lg_and_kw, $keywords, $os, 
	$advert_txt) = preg_split("/ *\t *|\n/", $file_arry[$no]);

$advert_txt = preg_replace("/\\n/", "\n", $advert_txt);
$advert_txt = preg_replace("/Value_Advert/", $no, $advert_txt);
$random1000 = rand(0, 1000);
$random100 = rand(0, 100);
$random10 = rand(0, 10);

if (preg_match("/%%Other%%/i", $advert_txt)) {
	$adv = preg_split("/%%Other%%/i", $advert_txt);
	$advert_txt = $adv[rand(0, sizeof($adv) - 1)];
}

$advert_txt = preg_replace("/Value_1000Random/i", $random1000, $advert_txt);
$advert_txt = preg_replace("/Value_100Random/i", $random100, $advert_txt);
$advert_txt = preg_replace("/Value_10Random/i", $random10, $advert_txt);
$advert_txt = preg_replace("/\n+$/", "", $advert_txt);

echo $advert_txt;

// save log
inc_log($ADVERT_EX_LOG_FILE, $no);

} // end display_adverts

?>