#!/usr/bin/perl
################################################################################
# WWWAdverts                                   Version 1.5                     #
# Copyright 1999 Frederic TYNDIUK (FTLS)       All Rights Reserved.            #
# E-Mail: tyndiuk@ftls.org                     Script License: GPL             #
# Created  05/30/98                            Last Modified 05/30/00          #
# Scripts Archive at:                          http://www.ftls.org/cgi/        #
################################################################################
# Function :  WWW Adverts, Administrative Display                              #
# Edit, Add, Suppress Advrets                                                  #
# use  : WWWAvertsAdm.cgi                                                      #
# or   : WWWAvertsAdm.cgi?login=YourLogin&pass=YourPassword                    #
################################################################################
########################## license & copyright header ##########################
#                                                                              #
#                     Copyright (c) 1999 by TYNDIUK Frederic                   #
#                                                                              #
#       This program is free software; you can redistribute it and/or          #
#       modify it under the terms of the GNU General Public License as         #
#       published by the Free Software Foundation; either version 2 of         #
#       the License, or (at your option) any later version.                    #
#                                                                              #
#       This program is distributed in the hope that it will be useful,        #
#       but WITHOUT ANY WARRANTY; without even the implied warranty of         #
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          #
#       GNU General Public License for more details.                           #
#                                                                              #
#       You should have received a copy of the GNU General Public License      #
#       along with this program in the file 'COPYING'; if not, write to        #
#       the Free Software Foundation, Inc., 59 Temple Place - Suite 330,       #
#       Boston, MA 02111-1307, USA, or contact the author:                     #
#                                                                              #
#                                   TYNDIUK Frederic <tyndiuk@ftls.org>        #
#                                            <http://www.ftls.org/>            #
#                                                                              #
######################## end license & copyright header ########################
################################################################################
#    DO NOT EDIT ANYTHING BELOW THIS LINE UNLESS YOU KNOW WHAT YOU'RE DOING    #
################################################################################

require "cgi-lib.pl";
require "WWWAdvertsLib.pl"; 

my($version) = '1.5';
my(%NAME_OS, %NAME_STATES, %NAME_EXPIRED, %NAME_RUN, %NAME_LGANDKW, %NAME_HEADTAB, %NAME_BUTTON, %NAME_TITLE, %HELP_TEXT,%TEXT);
my($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt);

# En: Define all messages and buttons
# Fr: Definition des messages et des boutons
if ($DISPLAY_LANG eq 'Fr') {
	%NAME_OS      = (0 => 'Tous', 1 => 'Windows', 2 => 'Mac OS', 3 => 'Linux', 4 => 'Autres Unix', 5 => 'Spiders', 6 => 'Autres OS');
	%NAME_STATES  = (0 => 'Stop', 1 => 'Run');
	%NAME_EXPIRED = ('Hits' => 'Max Hits', 'Clicks' => 'Max Clics' ,'Date' => 'Date D&eacute;pass&eacute;e', 'NotUsed' => 'Non utilis&eacute;');
	%NAME_RUN     = (0 => 'Non', 1 => 'Oui');
	%NAME_LGANDKW = (0 => 'Ou', 1 => 'Et');
	%NAME_HEADTAB = ('Name' => 'Nom', 'Run' => 'Actif', 'Comment' => 'Votre Commantaire', 'Comment2' => 'Pas affich, just un aide m&eacute;moire','*X' => 'Multipl', 'Start' => 'D&eacute;but', 
		'GuestAccount' => 'Visiteur', 'GuestLogin' => 'Login', 'GuestPass' => 'Password', 'Comment3' => 'Commantaire',
		'End' => 'Fin', 'Language' => 'Langue', 'AndOr'=> 'Et / Ou', 'Keywords' => 'Mots cl&eacute;s', 
		'OS'  => 'OS',  'Expo'     => 'Expos.', 'Clic' => 'Clics'  , 'Pc'       => '%',
		'Ratio'    => 'Ratio'    , 'Banner'   => 'Banni&egrave;re',
		'HTMLCode' => 'Code HTML', 'DateBegin'=> 'Date de D&eacute;but', 'DateEnd' => 'Date de Fin',
		'MaxHits'  => 'Hits Max' , 'MaxClicks' => 'Max Clics', 'LangueKeyword'=> 'Langage / Mots cles',
		'login' => 'Identifiant','password' => 'Mot de passe');
	%NAME_BUTTON  = ('Exit' => 'Sortir', 'Suppress' => ' Suppression ', 'Add' => ' Ajouter ', 'Edit' => ' Editer ', 'ChangeAdmPass2' => ' Change ',
		'Ok'      => ' Ok ', 'InitAllLog' => ' Initialise tous les Logs ', 'Init1Log' => ' Init 1 Logs ', 'Options' => ' Options ', 'Back' => ' Retour ', 'Enter' => ' Entrer ',
		'ViewAll' => ' Voir les bannieres ', 'Cancel' => ' Abandonner ', 'ChangeAdmPass' => 'Change password administrateur',
		'log' => 'Entrer');
	%NAME_TITLE   = ('Common' => "WWW Adverts v$version, Ecran d\'Administration", 'CommonGuest' => "WWW Adverts v$version, Ecran Invit&eacute;s", 'Sup' => 'Supprim&eacute;',
		'Saved'   => 'Sauv&eacute;', 'AllLogInit' => 'Tous les Logs sont initiali&eacute;s', 'Options'  => 'Options', 'Login' => 'Entrez votre Password',
		'LogInit' => 'est inisialis&eacute;', 'ViewAll' => 'Toutes les Bann&egrave;res', 'ChangeAdmPass' => 'Change le password de l\'administrateur',
		'Add'     => 'Ajouter une Banni&egrave;re', 'Edit' => 'Editer une Banni&egrave;re', 'NPassSv' => 'Password modifi&eacute', 'NPassInvalid' => 'Nouveau password invalide');
	%HELP_TEXT = ('NPassError' => "Le 2 nouveaux passwords ne sont pas identiques ou sont vides.", 'Edit' => "Vous pouvez ajouter : <BR> - '<I>/cgi-bin/WWWAdvertsClicks.cgi?Value_Adverts&<U>DestURL</U></I>' : si vous d&eacute;sirez utiliser le compteur de clics, remplacer seulement '<I><U>DestURL</U></I>'.<BR><BR> - '<I>Value_1000Random</I>', '<I>Value_100Random</I>', '<I>Value_10Random</I>' : si votre sponsor peut afficher une banni&egrave;re differente en changant un No...<BR><BR> - '%%Other%%' Pour s&eacute;parer les codes des banni&egrave;res si vous en avez plusieurs pour le m&ecirc;me sponsor...");
	%TEXT = ('Login'=> 'Identifiant', 'Password' => 'Password', 'NewLogin' => 'Nouvel identifiant', 'NewPass' => 'New password', 'ConfPass' => 'Confimaton', 'Guest' => 'Invit&eacute;', 'Admin' => 'Administrateur');
} else {
	%NAME_OS      = (0 => 'All', 1 => 'Windows', 2 => 'Mac OS', 3 => 'Linux', 4 => 'Other Unix', 5 => 'Spiders', 6 => 'Other OS');
	%NAME_STATES  = (0 => 'Stop', 1 => 'Run');
	%NAME_EXPIRED = ('Hits' => 'Hits Expired', 'Clicks' => 'Clicks Expired', 'Date' => 'Date Expired', 'NotUsed' => 'Not Used');
	%NAME_RUN     = (0 => 'No', 1 => 'Yes');
	%NAME_LGANDKW = (0 => 'Or', 1 => 'And');
	%NAME_HEADTAB = ('Name' => 'Name', 'Run' => 'Running', 'Comment' => 'Your Comment', 'Comment2' => 'Not Displayed, only to help you.', '*X' => 'Multipl', 'Start' => 'Start', 
		'GuestAccount' => 'Guest Account', 'GuestLogin' => 'Login', 'GuestPass' => 'Password', 'Comment3' => 'Comment',
		'End'   => 'End', 'Language' => 'Language', 'AndOr' => 'And / Or', 'Keywords' => 'Keywords', 
		'OS'    => 'OS',  'Expo'     => 'Expos.'  , 'Clic'  => 'Clicks'  ,       'Pc' => '%' ,
		'Ratio' => 'Ratio', 'Banner' => 'Banner',
		'HTMLCode' => 'Advert HTML Code', 'DateBegin' => 'Date Begin', 'DateEnd' =>'Date End',
		'MaxHits'  => 'Max Hits', 'MaxClicks' => 'Max Clicks', 'LangueKeyword' => 'Language / Keyword',
		'login' => 'Login','password' => 'Password');
	%NAME_BUTTON  = ('Exit' => 'Exit', 'Suppress' => ' Remove ', 'Add' => ' Add ', 'Edit' => ' Edit ', 'ChangeAdmPass2' => ' Change ',
		'Ok' => ' Ok ', 'InitAllLog' => ' Initialise / Reset All Logs', 'Init1Log' => ' Reset Selected Logs ', 'Options' => ' Options ', 'Back' => ' Back ', 'Enter' => ' Enter ',
		'ViewAll' => ' View All Adverts ', 'Cancel' => ' Cancel ', 'ChangeAdmPass' => 'Change administrator password',
		'log' => 'Enter');
	%NAME_TITLE   = ('Common' => "WWW Adverts v$version, Administrative Display", 'CommonGuest' => "WWW Adverts v$version, Guest Display",'Sup' => 'Supressed',
		'Saved' => 'Saved', 'AllLogInit' => 'All Adverts Logs are Initialised', 'Login' => 'Enter your Password',
		'LogInit' => '\'s logs Initialised', 'ViewAll' => 'View all Banners', 'Options' => 'Options','ChangeAdmPass' => 'Change Administrator password',
		'Add' => 'Add a Advert', 'Edit' => 'Edit a Advert', 'NPassSv' => 'Password updated', 'NPassInvalid' => 'Invalid new password');
	%HELP_TEXT = ('NPassError' => "New passwords and comfirm password are differents, or new password is the same of old password...", 'Edit' => "You can Add : <BR>'<I>/cgi-bin/WWWAdvertsClicks.cgi?Value_Adverts&<U>DestURL</U></I>' : to keep clicks stats about this adverts, change only '<I><U>DestURL</U></I>' value. <BR><BR>'<I>Value_1000Random</I>', '<I>Value_100Random</I>', '<I>Value_10Random</I>' : this tags will be replaced by a random number, use it's only if your sponsor can change ads with a number.<BR><BR> - '%%Other%%' to separate banner, if you have more than 1 for this sponsor.");
	%TEXT = ('Login'=> 'Login', 'Password' => 'Password', 'NewLogin' => 'New Login', 'NewPass' => 'New password', 'ConfPass' => 'Confim password', 'Guest' => 'Guest', 'Admin' => 'Admin');
}

&ReadParse(*input);
my $NoSend = $input{'No'};
my $Login = $input{'login'};
my $Password = $input{'pass'};
my $Action = $input{'Action'};

my ($No, $i, $good, $JToday, $cnt);
my (@FileAdvertData, @FileAdvertExLog, @FileAdvertClLog, @ListGuestAdverts);

	if ($input{'BT_Exit'}) {
		print "Location: $EXIT_URL\n\n";
		exit;
	}

	print  &PrintHeader;

	if (($ENV{'CONTENT_LENGTH'} eq "") && ($ENV{'QUERY_STRING'} eq "")) {
		print &PagePassword();
		exit;
	}

	# En: Check Password.
	# Fr: Verification des mots de passes.
	if (($Action eq "Guest") && $Login && $Password) {
		open(FILE,"$AdvertDataFile") ||  &Error("Cannot open list adverts file: $AdvertDataFile, error: $!\n",1);
		@FileAdvertData = <FILE>;
		close(FILE);
		$i = 0;
		foreach (@FileAdvertData) {
			($Name, $Comment, $GuestLogin, $GuestPassword) = split (/ *\t */, $_);
			if ($GuestLogin && $GuestPassword && ($GuestLogin eq $Login) && ($GuestPassword eq $Password)) {
				$good = 1;
				push(@ListGuestAdverts, $i);
			}
			$i++;
		}
		if (! $good) { &BadPassword($NAME_TITLE{'CommonGuest'}); }
	} else {
		if (! &check_password("root",$Login,$Password)) {
			&BadPassword($NAME_TITLE{'Common'});
		}
	}

	open(FILE,"$AdvertDataFile") || print "Cannot open list adverts file: $AdvertDataFile, error: $!\n";
	@FileAdvertData = <FILE>;
	close(FILE);

	open(FILE,"$AdvertExLogFile") || print "Cannot open log exposure file: $AdvertExLogFile, error: $!\n";
	@FileAdvertExLog = <FILE>;
	close(FILE);

	open(FILE,"$AdvertClLogFile") || print "Cannot open log clicks file: $AdvertClLogFile, error: $!\n";
	@FileAdvertClLog = <FILE>;
	close(FILE);


	my($NbExposeTotal, $NbExposeDay, $NbClickTotal, $NbClickDay, $NbClickTxt, $PerC, $RatioCalcul, $St_Txt, $LgAndKw_Txt);
	my($TNbExpose, $TDNbExpose, $TNbClick, $TDNbClick);
	if ($Action eq "Guest") {
		# En: Display guest account
		# Fr: Affiche les infos invites
		
		print  &HTMLHeaderTitle("$NAME_TITLE{'CommonGuest'}");
		print "<CENTER><FORM METHOD=post><P><TABLE BGCOLOR=\"navy\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"1\" WIDTH=\"90%\"><TR><TD>";
		print "<TABLE BGCOLOR=\"#DCDCDC\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"3\" WIDTH=\"100%\">";
		print "<TR><TH> $NAME_HEADTAB{'Run'} </TH><TH> $NAME_HEADTAB{'Start'} </TH><TH> $NAME_HEADTAB{'End'} </TH><TH COLSPAN=3> $NAME_HEADTAB{'Language'} $NAME_HEADTAB{'AndOr'} $NAME_HEADTAB{'Keywords'} </TH><TH> $NAME_HEADTAB{'OS'} </TH><TH> $NAME_HEADTAB{'Expo'}</TH><TH> $NAME_HEADTAB{'Clic'} </TH><TH> $NAME_HEADTAB{'Pc'} </TH><TH> $NAME_HEADTAB{'Ratio'} </TH></TR>\n";

		foreach (@ListGuestAdverts) {
			($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt) = split (/ *\t *|\n/, $FileAdvertData[$_]);
			($NbExposeTotal, $NbExposeDay) = split(/\t|\n/, $FileAdvertExLog[$_ + 1]);
			($NbClickTotal, $NbClickDay) = split(/\t|\n/, $FileAdvertClLog[$_ + 1]);
			if ($NbExposeTotal > 0) { $PerC = int ($NbClickTotal * 100 / $NbExposeTotal); $PerC .= "%";} else { $PerC = "?"; }
			if ($NbClickTotal > 0) { $RatioCalcul = int ($NbExposeTotal / $NbClickTotal); $RatioCalcul .= ":1"; } else { $RatioCalcul = "?" }
			$TNbExpose += $NbExposeTotal;
			$TDNbExpose += $NbExposeDay;
			$TNbClick += $NbClickTotal;
			$TDNbClick += $NbClickDay;

			$St_Txt = $NAME_RUN{$States};
			$LgAndKw_Txt = $NAME_LGANDKW{$LgAndKw};
			if ($NbExposeTotal > $MaxHits)   { $St_Txt.="<BR>".$NAME_EXPIRED{'Hits'}; }
			if ($NbClickTotal  > $MaxClicks) { $St_Txt.="<BR>".$NAME_EXPIRED{'Clicks'}; }
			if ($JToday > &Str2Jday($DateEnd)) { $St_Txt.="<BR>".$NAME_EXPIRED{'Date'}; }

			$AdvertTxt =~ s/%%Other%%/<BR><BR>/gi;
			$_ = $AdvertTxt;
			s/\\n/\n/g;
			s/Value_Adverts/-1/g;
			s/Value_1000Random/1/g;
			s/Value_100Random/1/g;
			s/Value_10Random/1/g;
			#s/%%Other%%/<BR><BR>/gi;
		    if (/WWWAdvertsClicks.cgi/) { 
				$NbClickTxt = "$NbClickTotal (+$NbClickDay)";
		    } else {
		    	$NbClickTxt = $NAME_EXPIRED{'NotUsed'};
		    	$PerC = "-";
		    	$RatioCalcul = "-";
		    }

			print "<TR><TD ALIGN=\"CENTER\" COLSPAN=11><BR>&nbsp; $AdvertTxt</TD></TR>";
			print "<TD ALIGN=\"CENTER\">$St_Txt</TD>";
			print "<TD ALIGN=\"CENTER\">$DateBegin</TD><TD ALIGN=\"CENTER\">$DateEnd $NAME_LGANDKW{0} ".$MaxHits."e $NAME_LGANDKW{0} ".$MaxClicks."c</TD>";
			print "<TD ALIGN=\"CENTER\">$Lang</TD><TD ALIGN=\"CENTER\">$LgAndKw_Txt</TD><TD ALIGN=\"CENTER\">$Keyword</TD>";
			print "<TD ALIGN=\"CENTER\">".$NAME_OS{$OS}."</TD>";
			print "<TD ALIGN=\"CENTER\">$NbExposeTotal (+$NbExposeDay)</TD><TD ALIGN=\"CENTER\">$NbClickTxt</TD>";
			print "<TD ALIGN=\"CENTER\">$PerC</TD><TD ALIGN=\"CENTER\">$RatioCalcul</TD></TR>\n";
			#print "<TR><TD COLSPAN=11>&nbsp;</TD></TR>\n";
	    }
		if ($TNbExpose > 0) { $PerC = int ($TNbClick * 100 / $TNbExpose); $PerC .= "%";} else { $PerC = "?"; }
		if ($TNbClick > 0) { $RatioCalcul = int ($TNbExpose / $TNbClick); $RatioCalcul .= ":1"; } else { $RatioCalcul = "?" }
	    print "<TR><TD COLSPAN=6>&nbsp;</TD><TH>Total</TH><TH> $TNbExpose (+$TDNbExpose) </TH><TH> $TNbClick (+$TDNbClick) </TH><TH> $PerC </TH><TH> $RatioCalcul </TH></TR>\n";
    	print "</TABLE>";
    	print "</TD></TR></TABLE>";
	    print "<P><INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Exit'} \" NAME=\"BT_Exit\"></CENTER></FORM>\n";
		&Print_HTMLEnd_Exit;
	}

	if (($input{'BT_Suppress'}) && ($NoSend ne "" )) {
	    ($Name) = split(/ \t */,$FileAdvertData[$NoSend]);
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>'$Name' $NAME_TITLE{'Sup'}");
	    splice(@FileAdvertData, $NoSend, 1);
	    splice(@FileAdvertExLog, $NoSend +1, 1);
	    splice(@FileAdvertClLog, $NoSend +1, 1);

		&WriteFile($AdvertDataFile,  @FileAdvertData);
		&WriteFile($AdvertExLogFile, @FileAdvertExLog);
		&WriteFile($AdvertClLogFile, @FileAdvertClLog);
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}

	if ($input{'BT_Edit'} && ($NoSend ne "")){
		&AddEditAds(1, $NoSend);
	}
      
	if ($input{'BT_Add'}) {
		&AddEditAds(0, -1);
	}

	if ($input{'BT_Sauv'}) { #Edit or Add
		$_ = $input{'AdvertTxt'};
		s/
//g;
		s/\n*%%\s*Other\s*%%\n*/%%Other%%/gi;
		s/\s+$//g;
		s/\n+/\\n/g;
		$_ = "$input{'Name'}\t$input{'Comment'}\t$input{'GuestLogin'}\t$input{'GuestPassword'}\t$input{'States'}\t$input{'Ratio'}\t$input{'DateBegin'}\t$input{'DateEnd'}\t$input{'MaxHits'}\t$input{'MaxClicks'}\t$input{'Lang'}\t$input{'LgAndKw'}\t$input{'Keyword'}\t$input{'OS'}\t$_\n";
		if ($NoSend < 0) { #if New
			push(@FileAdvertData, $_);
			push(@FileAdvertExLog, "0\t0\n");
			push(@FileAdvertClLog, "0\t0\n");
			&WriteFile($AdvertExLogFile,  @FileAdvertExLog);
			&WriteFile($AdvertClLogFile,  @FileAdvertClLog);
		} else {
			$FileAdvertData[$NoSend] = $_;
		}
		&WriteFile($AdvertDataFile, @FileAdvertData);
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>'$input{'Name'}' $NAME_TITLE{'Saved'}");
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}

	if ($input{'BT_InitAllLog'}) {
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'AllLogInit'}");
		&InitLogFileExit($AdvertExLogFile, 0);
		&InitLogFileExit($AdvertClLogFile, 0);
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}

	if ($input{'BT_Init1Log'} && ($NoSend ne "" )) {
		$_ = $FileAdvertData[$NoSend];
		($Name) = split (/\t */, $_, 2);
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>'$Name' $NAME_TITLE{'LogInit'}");
		$FileAdvertExLog[$NoSend+1] = $FileAdvertClLog[$NoSend+1] = "0\t0\n";
		&WriteFile($AdvertExLogFile,  @FileAdvertExLog);
		&WriteFile($AdvertClLogFile,  @FileAdvertClLog);
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}

	if ($input{'BT_ViewAll'}) {
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'ViewAll'}");
	    print "<CENTER>";
		print "<TABLE BGCOLOR=\"navy\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"1\" WIDTH=\"90%\"><TR><TD>";
		print "<TABLE BGCOLOR=\"#DCDCDC\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"3\" WIDTH=\"100%\">";
	    print "<TR><TD>&nbsp;</TD><TH> $NAME_HEADTAB{'Name'} / $NAME_HEADTAB{'Comment3'}</TH><TH>$NAME_HEADTAB{'Run'}</TH><TH> $NAME_HEADTAB{'Banner'} </TH></TR>\n";
		$No = 1;
		foreach (@FileAdvertData) {
			($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt) = split (/ *\t *|\n/, $_);
			$St_Txt = $NAME_RUN{$States};
			($NbExposeTotal, $NbExposeDay) = split(/\t|\n/, $FileAdvertExLog[$No]);
			($NbClickTotal, $NbClickDay) = split(/\t|\n/, $FileAdvertClLog[$No]);
			if ($NbExposeTotal > $MaxHits) { $St_Txt.="<BR>".$NAME_EXPIRED{'Hits'}; }
			if ($NbClickTotal > $MaxClicks) { $St_Txt.="<BR>".$NAME_EXPIRED{'Clicks'}; }
			if ($JToday > &Str2Jday($DateEnd)) { $St_Txt.="<BR>".$NAME_EXPIRED{'Date'}; }
			$AdvertTxt =~ s/%%Other%%/<BR><BR>/gi;
			$AdvertTxt =~ s/\\n/\n/g;
			$AdvertTxt =~ s/Value_Adverts/-1/g;
			$AdvertTxt =~ s/Value_1000Random/1/g;
			$AdvertTxt =~ s/Value_100Random/1/g;
			$AdvertTxt =~ s/Value_10Random/1/g;
			print "<TR><TH>$No </TH><TD ALIGN=\"CENTER\"><B>$Name</B><BR>$Comment</TD><TD ALIGN=\"CENTER\">$St_Txt</TD>";
			print "<TD ALIGN=\"CENTER\">$AdvertTxt</TD></TR>\n";
			$No++;
		}
    	print "</TABLE></TD></TR></TABLE>\n";
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}


	if ($input{'BT_Options'}) {
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'Options'}");
		print "<FORM METHOD=post>\n";
		print "<INPUT TYPE=HIDDEN Name=\"Action\" VALUE=\"$Action\"><INPUT TYPE=HIDDEN Name=\"login\" VALUE=\"$Login\"><INPUT TYPE=HIDDEN Name=\"pass\" VALUE=\"$Password\">\n";
	    print "<BLOCKQUOTE><INPUT TYPE=Submit Value=\">>\" NAME=\"BT_ChangeAdmPass\"> $NAME_BUTTON{'ChangeAdmPass'}<BR>\n";
		print "<INPUT TYPE=Submit Value=\">>\" NAME=\"BT_InitAllLog\"> $NAME_BUTTON{'InitAllLog'}</BLOCKQUOTE> </FORM>";
		&Print_Back_HTMLEnd_Exit($Action, $Login, $Password);
	}

	if ($input{'BT_ChangeAdmPass'}) {
	    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'ChangeAdmPass'}");
		print "<FORM METHOD=post>\n";
		print "<INPUT TYPE=HIDDEN Name=\"Action\" VALUE=\"$Action\">\n";
	    print "<CENTER><FORM METHOD=post><TABLE BORDER=0 WIDTH=70%>";
    	print "<TR><TD>$TEXT{'Login'} :</TD><TD><INPUT TYPE=text Name=login Value=$Login></TD></TR>\n";
	    print "<TR><TD>$TEXT{'Password'} :</TD><TD><INPUT TYPE=Password Name=pass value=$Password></TD></TR>\n";
    	print "</TABLE><BR><BR><BR><TABLE BORDER=0 WIDTH=70%>";
	    print "<TR><TD>$TEXT{'NewLogin'} :</TD><TD><INPUT TYPE=TEXT Name=NewLogin VALUE=\"$Login\"></TD></TR>\n";
		print "<TR><TD>$TEXT{'NewPass'} :</TD><TD><INPUT TYPE=Password Name=NewPass></TD></TR>\n";
    	print "<TR><TD>$TEXT{'ConfPass'} :</TD><TD><INPUT TYPE=Password Name=ConfPass></TD></TR>\n";
	    print "<TD></TD><TD><INPUT TYPE=Submit Value=\"$NAME_BUTTON{'ChangeAdmPass2'}\" NAME=\"BT_ChangeAdmPass2\"><INPUT TYPE=Submit Value=\" Cancel \"></TD></TR>\n";
    	print "</TABLE></CENTER></FORM>\n";
		&Print_HTMLEnd_Exit;
	}

	if ($input{'BT_ChangeAdmPass2'}) {
		my($flogin, $fpass, $fold, @pass);
		my $new_login = $input{'NewLogin'};
		my $new_pass = $input{'NewPass'};
		my $conf_new_pass = $input{'ConfPass'};
		if (($new_pass eq $conf_new_pass) && $new_login && $new_pass) {
			open(PASSWORD, "+<$PASSWORD_FILE") || print("Cannot Open password file: $Passwd_File, Error: $!");
			@pass = <PASSWORD>;
			close PASSWORD;
			foreach (@pass) {
				if (/^$Login\t/) {
					($flogin, $fpass, $fold) = split(/\t/,$_, 3);
					$_ = "$new_login\t".&CryptPassword($new_pass)."\t$fold";
				}
			}
			open(PASSWORD, ">$PASSWORD_FILE") || print("Cannot Write password file: $Passwd_File, Error: $!");
			print PASSWORD (@pass);
			close PASSWORD;
		    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'NPassSv'}");
			print &Back($Action, $new_login, $new_pass);
		} else {
		    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'NPassInvalid'}");
		    print "<CENTER>$HELP_TEXT{'NPassError'}</CENTER>";
			print &Back($Action, $Login, $Password);
		}
		&Print_HTMLEnd_Exit;
	}


	# En: Display default administrative page
	# Fr: Affiche la d'aministration.

    print  &HTMLHeaderTitle($NAME_TITLE{'Common'});
    print "<CENTER><FORM METHOD=post>";
	print "<INPUT TYPE=HIDDEN Name=\"Action\" VALUE=\"$Action\"><INPUT TYPE=HIDDEN Name=\"login\" VALUE=\"$Login\"><INPUT TYPE=HIDDEN Name=\"pass\" VALUE=\"$Password\">\n";
	print "<TABLE BGCOLOR=\"navy\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"1\" WIDTH=\"90%\"><TR><TD>";
	print "<TABLE BGCOLOR=\"#DCDCDC\" BORDER=\"0\" CELLSPACING=\"1\" CELLPADDING=\"3\" WIDTH=\"100%\">";
	print "<TR><TD> &nbsp;</TD><TH> $NAME_HEADTAB{'Name'} </TH><TH> $NAME_HEADTAB{'Run'} </TH><TH> $NAME_HEADTAB{'*X'} </TH><TH> $NAME_HEADTAB{'Start'} </TH><TH> $NAME_HEADTAB{'End'} </TH><TH COLSPAN=3> $NAME_HEADTAB{'Language'} $NAME_HEADTAB{'AndOr'} $NAME_HEADTAB{'Keywords'} </TH><TH> $NAME_HEADTAB{'OS'} </TH><TH> $NAME_HEADTAB{'Expo'}</TH><TH> $NAME_HEADTAB{'Clic'} </TH><TH> $NAME_HEADTAB{'Pc'} </TH><TH> $NAME_HEADTAB{'Ratio'} </TH></TR>\n";
	$cnt = 0;
	foreach (@FileAdvertData) {
		if (length($_) > 10)  {
			$_ =~ s/\n//g;
			($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt) = split (/ *\t *|\n/, $_);
			($NbExposeTotal, $NbExposeDay) = split(/\t|\n/, $FileAdvertExLog[$cnt + 1]);
			$TNbExpose += $NbExposeTotal;
			$TDNbExpose += $NbExposeDay;
			($NbClickTotal, $NbClickDay) = split(/\t|\n/, $FileAdvertClLog[$cnt  + 1]);
			$TNbClick += $NbClickTotal;
			$TDNbClick += $NbClickDay;
			if ($NbExposeTotal > 0) { $PerC = int ($NbClickTotal * 100 / $NbExposeTotal); $PerC .= "%";} else { $PerC = "?"; }
			if ($NbClickTotal > 0) { $RatioCalcul = int ($NbExposeTotal / $NbClickTotal); $RatioCalcul .= ":1"; } else { $RatioCalcul = "?" }

			$St_Txt = $NAME_RUN{$States};
			$LgAndKw_Txt = $NAME_LGANDKW{$LgAndKw};
			if ($NbExposeTotal > $MaxHits) { $St_Txt.="<BR>".$NAME_EXPIRED{'Hits'}; }
			if ($NbClickTotal > $MaxClicks) { $St_Txt.="<BR>".$NAME_EXPIRED{'Clicks'}; }
			if ($JToday > &Str2Jday($DateEnd)) { $St_Txt.="<BR>".$NAME_EXPIRED{'Date'}; }
			$No = $cnt+1;
		    if ($AdvertTxt =~ /WWWAdvertsClicks.cgi/) { 
				$NbClickTxt = "$NbClickTotal (+$NbClickDay)";
		    } else {
		    	$NbClickTxt = $NAME_EXPIRED{'NotUsed'};
		    	$PerC = "-";
		    	$RatioCalcul = "-";
		    }
			print "<TR><TH>$No<INPUT TYPE=radio Name='No' Value='$cnt'></TH><TD ALIGN=\"CENTER\">$Name</TD>";
			print "<TD ALIGN=\"CENTER\">$St_Txt</TD><TD ALIGN=\"CENTER\">x$Ratio</TD>";
			print "<TD ALIGN=\"CENTER\">$DateBegin</TD><TD ALIGN=\"CENTER\">$DateEnd $NAME_LGANDKW{0} ".$MaxHits."e $NAME_LGANDKW{0} ".$MaxClicks."c</TD>";
			print "<TD ALIGN=\"CENTER\">$Lang</TD><TD ALIGN=\"CENTER\">$LgAndKw_Txt</TD><TD ALIGN=\"CENTER\">$Keyword</TD>";
			print "<TD ALIGN=\"CENTER\">".$NAME_OS{$OS}."</TD>";
			print "<TD ALIGN=\"CENTER\">$NbExposeTotal (+$NbExposeDay)</TD><TD ALIGN=\"CENTER\">$NbClickTxt</TD>";
			print "<TD ALIGN=\"CENTER\">$PerC</TD><TD ALIGN=\"CENTER\">$RatioCalcul</TD></TR>\n";
			$cnt++;
		}
	}
	if ($TNbExpose > 0) { $PerC = int ($TNbClick * 100 / $TNbExpose); $PerC .= "%";} else { $PerC = "?"; }
	if ($TNbClick > 0) { $RatioCalcul = int ($TNbExpose / $TNbClick); $RatioCalcul .= ":1"; } else { $RatioCalcul = "?" }
    print "<TR><TD COLSPAN=9>&nbsp;</TD><TH>Total</TH><TH> $TNbExpose (+$TDNbExpose) </TH><TH> $TNbClick (+$TDNbClick) </TH><TH> $PerC </TH><TH> $RatioCalcul </TH></TR>\n";
    print "</TABLE></TD></TR></TABLE><P><INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Add'} \" NAME=\"BT_Add\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Edit'} \" NAME=\"BT_Edit\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Suppress'} \" NAME=\"BT_Suppress\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Init1Log'} \" NAME=\"BT_Init1Log\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'ViewAll'} \" NAME=\"BT_ViewAll\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Options'} \" NAME=\"BT_Options\"> <INPUT TYPE=Submit Value=\" $NAME_BUTTON{'Exit'} \" NAME=\"BT_Exit\"></CENTER></FORM>\n";
    print &HTMLEnd;

###############################################################################
# All Sub / les sous routines                                                 #
###############################################################################

sub AddEditAds {
	my($Edit, $NoLigne) = @_;
	my($Txt, $AdvertLine, $St_Selec1, $St_Selec2, $LgAndKw_Selec1, $LgAndKw_Selec2, @OS_Select, $m, $d, $y);
	my($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt);
	if ($Edit) { 
		$Txt = $NAME_TITLE{'Edit'};
		$AdvertLine = $FileAdvertData[$NoLigne];
		($Name, $Comment, $GuestLogin, $GuestPassword, $States, $Ratio, $DateBegin, $DateEnd, $MaxHits, $MaxClicks, $Lang, $LgAndKw, $Keyword, $OS, $AdvertTxt) = split (/ *\t *|\n/, $AdvertLine);
		$AdvertTxt =~ s/\\n/\n/g; $AdvertTxt =~ s/\n\n\n*/\n/g;
		$AdvertTxt =~ s/%%Other%%/\n%%Other%%\n/gi;
	} else {
		$Txt = $NAME_TITLE{'Add'};
		$Ratio = $States = 1;
		$NoLigne = -1;
		$DateBegin = $DateTodays;
		($m, $d, $y) = split(/\//, $DateTodays);
		$DateEnd = join("\/", ($m, $d, ++$y));
		$MaxHits = 10000;
		$MaxClicks = 100;
		$Lang = "All";
		$Keyword = "none";
		$Comment = $NAME_HEADTAB{'Comment2'}
	}
	if ($States) {$St_Selec1 = "SELECTED"; $St_Selec2 = ""; } else { $St_Selec1 = ""; $St_Selec2 = "SELECTED"; }
	if ($LgAndKw) {$LgAndKw_Selec1 = "SELECTED"; $LgAndKw_Selec2 = ""; } else { $LgAndKw_Selec1 = ""; $LgAndKw_Selec2 = "SELECTED"; }
	$OS_Select[$OS] = "SELECTED";
    print  &HTMLHeaderTitle($NAME_TITLE{'Common'}."<BR>".$Txt);
	print "<CENTER><FORM METHOD=post>\n";
	print "<INPUT TYPE=HIDDEN Name=\"Action\" VALUE=\"$Action\"><INPUT TYPE=HIDDEN Name=\"login\" VALUE=\"$Login\"><INPUT TYPE=HIDDEN Name=\"pass\" VALUE=\"$Password\">\n";
	print "<TABLE BORDER=1 WIDTH=70%>\n";
	print "<TR><TD><INPUT Name=No TYPE=HIDDEN Value=\"$NoLigne\">$NAME_HEADTAB{'Name'} : </TD><TD><INPUT Name=Name TYPE=Text Size=20 Value=\"$Name\">  <SELECT NAME=\"States\"><OPTION $St_Selec1 VALUE=\"1\">$NAME_STATES{'1'} <OPTION $St_Selec2 VALUE=\"0\">$NAME_STATES{'0'} </SELECT></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'Comment'} : </TD><TD> <INPUT Name=Comment TYPE=Text SIZE=40 Value=\"$Comment\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'GuestAccount'} : </TD><TD> $NAME_HEADTAB{'GuestLogin'} <INPUT Name=GuestLogin TYPE=Text SIZE=10 Value=\"$GuestLogin\"> &nbsp; &nbsp; &nbsp; $NAME_HEADTAB{'GuestPass'} <INPUT Name=GuestPassword TYPE=Text SIZE=10 Value=\"$GuestPassword\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'*X'} : </TD><TD> x <INPUT Name=Ratio TYPE=Text SIZE=2 Value=\"$Ratio\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'DateBegin'} : </TD><TD> $DateBegin <INPUT Name=DateBegin TYPE=HIDDEN Value=\"$DateBegin\"> (DD/MM/YYYY)</TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'DateEnd'} : </TD><TD> <INPUT Name=DateEnd TYPE=Text SIZE=10 Value=\"$DateEnd\"> (DD/MM/YYYY)</TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'MaxHits'} : </TD><TD> <INPUT Name=MaxHits TYPE=Text SIZE=10 Value=\"$MaxHits\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'MaxClicks'} : </TD><TD> <INPUT Name=MaxClicks TYPE=Text SIZE=10 Value=\"$MaxClicks\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'Language'} : </TD><TD> <INPUT Name=Lang TYPE=Text SIZE=20 Value=\"$Lang\"> Fr, En, All...</TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'LangueKeyword'} : </TD><TD><SELECT NAME=\"LgAndKw\"><OPTION $LgAndKw_Selec1 VALUE=\"1\">$NAME_LGANDKW{1} <OPTION $LgAndKw_Selec2 VALUE=\"0\">$NAME_LGANDKW{0} </SELECT></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'Keywords'} : </TD><TD> <INPUT Name=Keyword TYPE=Text SIZE=20 Value=\"$Keyword\"></TD></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'OS'} : </TD><TD><SELECT NAME=\"OS\"><OPTION $OS_Select[0] VALUE=\"0\">$NAME_OS{0}<OPTION $OS_Select[1] VALUE=\"1\">$NAME_OS{1}<OPTION $OS_Select[2] VALUE=\"2\">$NAME_OS{2}<OPTION $OS_Select[3] VALUE=\"3\">$NAME_OS{3}<OPTION $OS_Select[4] VALUE=\"4\">$NAME_OS{4}<OPTION $OS_Select[5] VALUE=\"5\">$NAME_OS{5}<OPTION $OS_Select[5] VALUE=\"6\">$NAME_OS{6}</SELECT></TR>\n";
	print "<TR><TD>$NAME_HEADTAB{'HTMLCode'} : </TD><TD> <TEXTAREA Name=AdvertTxt COLS=40 ROWS=5>$AdvertTxt</TEXTAREA><BR>$HELP_TEXT{'Edit'}</TD></TR>\n";
    print "</TABLE><P><INPUT TYPE=Submit Value=\"$NAME_BUTTON{'Ok'}\" NAME=\"BT_Sauv\"> <INPUT TYPE=Submit Value=\"$NAME_BUTTON{'Cancel'}\"></CENTER></FORM>\n";
	&Print_HTMLEnd_Exit;
}


sub WriteFile {
	my ($file, @data) = @_;
	open(COM, ">$file") || print "Cannot write file : $file, Error $!\n";
	print COM @data;
	close(COM);
}

sub BadPassword {
    print &HTMLHeaderTitle($_[0]);
    print "<CENTER><BR><BR><B><FONT FACE=\"Arial\" SIZE=\"+3\">INVALID PASSWORD</FONT></B><BR><BR><BR>\n";
    print &HTMLEnd;
	exit;
}


sub check_password {
	my($mode, $login, $password) = @_;
	my($flogin, $fpass, $flevel, $fpage);

	if ($login && $password && $UNIV_LOGIN && $UNIV_PASSWORD &&
		($login eq $UNIV_LOGIN) && ($password eq $UNIV_PASSWORD)
		) { return 1; }

	if ($mode && $login && $password) {
		open(PASSWORD, $PASSWORD_FILE);
	 	($_) = grep(/^$login\t/, <PASSWORD>);
	  	close(PASSWORD);
		s/\n//;
		($flogin, $fpass, $flevel, $fpage) = split /\t/;

		if ( ($flogin eq $login) && ($fpass eq &CryptPassword($password)) &&
			(($mode eq $flevel) || (($flevel eq "root") && ($mode eq "guest"))) ) {
	    	 return 1;
		}
	}
	return 0;
}

sub CryptPassword {
	return crypt ($_[0], substr($_[0],0,2));
}


sub HTMLHeaderTitle {
	return &HTMLHeader($_[0]).&Title($_[0]);
	
}
sub HTMLHeader {
	my($Title) = @_;
	my($HeadTitle) = $Title;
	$HeadTitle =~ s/\<\w\w*\>/ /gi;
    return <<EOF;
<HTML><HEAD><TITLE>The FTLS's $HeadTitle</TITLE>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="ROBOTS" CONTENT="NOINDEX, FOLLOW">
<META NAME="description" content="none">
<META NAME="keywords" content="none">
<META NAME="Author" CONTENT="FTLS (TYNDIUK Frederic, http://www.ftls.org/)">
<META NAME="GENERATOR" CONTENT="CGI Script Made by FTLS"></HEAD>
<BODY BGCOLOR="#FFFFFF">
EOF
}

sub Title {
    return <<EOF;
<BR><BR><P ALIGN="Center"><FONT FACE="Arial, helvetica" SIZE="+2" COLOR="#336699"><STRONG><EM>$_[0]</EM></STRONG></FONT></P><BR>
EOF
}

sub Back {
	my ($action, $login, $password) =@_;
	return <<EOF;
<CENTER><BR><BR><FORM METHOD=post>
<INPUT TYPE=HIDDEN Name="Action" VALUE="$action">
<INPUT TYPE=HIDDEN Name="login"   VALUE="$login">
<INPUT TYPE=HIDDEN Name="pass" VALUE="$password">
<INPUT TYPE=Submit Value=" $NAME_BUTTON{'Back'} ">
</FORM></CENTER>
EOF
}

sub Print_Back_HTMLEnd_Exit {
	my ($action, $login, $password) =@_;
	print &Back($action, $login, $password);
	print &HTMLEnd;
	exit;
}

sub Print_HTMLEnd_Exit {
	print &HTMLEnd;
	exit;
}

sub HTMLEnd {
	# En : Don't change or remove this Copyright.
	# Fr : Ne modifiez pas ni ne supprimez ce Copyright.
    return <<EOF;
<CENTER><BR><BR><FONT FACE="Arial" SIZE="-2">
<EM>&copy Copyright 1999 <A HREF="http://www.ftls.org/">FTLS</A> (Tyndiuk Fr&eacute;d&eacute;ric). All rights reserved.
<BR>FTLS's CGI Scripts Archive : <A HREF="http://www.ftls.org/cgi/">http://www.ftls.org/cgi/</A>.
<BR>Send all comments to <A HREF="mailto:$WEBMASTER_EMAIL">$WEBMASTER_EMAIL</A></EM>.
</FONT></CENTER></BODY></HTML>
EOF
}

sub PagePassword {
    $_ = &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$NAME_TITLE{'Login'}");
	$_ .= <<EOF;
	<TABLE ALIGN="center" BGCOLOR="navy" BORDER="0" CELLSPACING="0" CELLPADDING="1" WIDTH="50%"><TR><TD>
	<TABLE BGCOLOR="#DCDCDC" BORDER="0" CELLSPACING="0" CELLPADDING="3" WIDTH="100%"><TR><TD>
	<FORM METHOD=POST>
	<TABLE BORDER=0 WIDTH=100% CELLSPACING="10" CELLPADDING="1">
	<TR><TD>$NAME_HEADTAB{'login'} :</TD><TD><INPUT TYPE=text NAME=login SIZE=10></TD>
	<TD><SELECT NAME=\"Action\"><OPTION VALUE=\"Admin\">$TEXT{'Admin'}<OPTION VALUE=\"Guest\">$TEXT{'Guest'}</SELECT></TD></TR>
	<TR><TD>$NAME_HEADTAB{'password'} :</TD><TD><INPUT TYPE=Password Name=pass SIZE=10></TD>
	<TD><INPUT TYPE=Submit Value=\" $NAME_BUTTON{'log'} \"></TD></TR></TABLE>
	</FORM>
	</TD></TR></TABLE>
	</TD></TR></TABLE>
	<TD></TD></TR>
EOF
    return $_.&HTMLEnd;
}

sub Error {
	my($errortext, $exit) = @_;
    print &HTMLHeaderTitle("$NAME_TITLE{'Common'}<BR>$errortext");
	print &HTMLEnd;
	if($exit) { exit; }
}
